*
{
    margin:  0;
    padding: 0;
    box-sizing: border-box;
}
body
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #1c1f2f;
    overflow: hidden;
}
.container
{
    position: relative;
    transform: translateY(-100px);
}
.container::before
{
    content: '';
    position: absolute;
    top:  200px;
    width: 200px;
    height: 200px;
    background: #fff;
    border-radius: 50%;
    animation: alternateCircle 4s ease-in-out infinite;
}
@keyframes alternateCircle
{
    0%{
        transform: translateX(15px);
    }
    50%{
        transform: translateX(-15px);
    }
    100%{
        transform: translateX(15px);
    }
}
.container::after
{
    content: '';
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top:  400px;
    width: 800px;
    height: 800px;
    background: #fe4e4e;
    border-radius: 50%;
}
.container .loader
{
    position: relative;
    width: 200px;
    height: 200px;
    animation: animate 4s ease-in-out infinite;
}
@keyframes animate
{
    0%
    {
        transform: rotate(50deg);
    }
    50%
    {
        transform: rotate(-50deg);
    }
    100%
    {
        transform: rotate(50deg);
    }
}
.container .loader::before
{
    content: '';
    position: absolute;
    bottom:  0;
    width: 200px;
    height: 100px;
    background: #06c8f0;
    border-bottom-left-radius: 100px;
    border-bottom-right-radius: 100px;
}
.container .loader .ball
{
    position: absolute;
    top:  50%;
    left: -15px;
    width: 40px;
    height: 40px;
    background: #fff;
    border-radius: 50%;
    transform: translateY(-100%);
    animation: animateBall 4s ease-in-out infinite;
}
@keyframes animateBall
{
    0%
    {
        transform: translateY(-100%) translateX(-30px);
    }
    50%
    {
        transform: translateY(-100%) translateX(220px);
    }
    100%
    {
        transform: translateY(-100%) translateX(-30px);
    }
}